from django.urls import reverse

from arkindex.documents.models import Element
from arkindex.project.tests import FixtureAPITestCase


class TestOpenCors(FixtureAPITestCase):

    @classmethod
    def setUpTestData(cls):
        super().setUpTestData()
        cls.vol = Element.objects.get(name="Volume 1")

    def test_cors_open_endpoint(self):
        response = self.client.get(
            reverse("api:folder-manifest", kwargs={"pk": self.vol.id}),
            HTTP_ORIGIN="http://anywhere.net",
        )
        self.assertEqual(response.headers.get("Access-Control-Allow-Origin"), "http://anywhere.net")

    def test_cors_closed_endpoint(self):
        response = self.client.get(
            reverse("api:element-retrieve", kwargs={"pk": self.vol.id}),
            HTTP_ORIGIN="http://anywhere.net",
        )
        self.assertFalse("Access-Control-Allow-Origin" in response.headers.keys())
